
fid=fopen('No1_raven_raven3_14.roi.txt','r');
[list,count]=fscanf(fid,'%f',[15,3]);
fclose(fid);

No1=list;


fid=fopen('No3_raven_raven3_14.roi.txt','r');
[list,count]=fscanf(fid,'%f',[15,3]);
fclose(fid);

No3=list;

fid=fopen('No4_raven_raven3_14.roi.txt','r');
[list,count]=fscanf(fid,'%f',[15,3]);
fclose(fid);

No4=list;


fid=fopen('No5_raven_raven3_14.roi.txt','r');
[list,count]=fscanf(fid,'%f',[15,3]);
fclose(fid);

No5=list;

fid=fopen('No6_raven_raven3_14.roi.txt','r');
[list,count]=fscanf(fid,'%f',[15,3]);
fclose(fid);

No6=list;


fid=fopen('No7_raven_raven3_14.roi.txt','r');
[list,count]=fscanf(fid,'%f',[15,3]);
fclose(fid);

No7=list;


fid=fopen('No8_raven_raven3_14.roi.txt','r');
[list,count]=fscanf(fid,'%f',[15,3]);
fclose(fid);

No8=list;


No1_span=ceil([2.706 4.339 5.412] / 2) + 3;
%No2_span=
No3_span=ceil([1.810 2.471 3.377] / 2) + 3;
No4_span=ceil([1.642 2.328 3.489] / 2) + 3;
No5_span=ceil([3.776 5.093 6.406] / 2) + 3;
No6_span=ceil([3.840 5.375 6.200] / 2) + 3;
No7_span=ceil([1.846 2.985 4.993] / 2) + 3;
No8_span=ceil([3.068 4.601 5.981] / 2) + 3;

% -----------------------
% computing NoX mean of only the values for duration of solving


for i=1:3

No1_mean(i)= mean ( No1(2:No1_span(i)+1,i) );
No3_mean(i)= mean ( No3(2:No3_span(i)+1,i) );
No4_mean(i)= mean ( No4(2:No4_span(i)+1,i) );
No5_mean(i)= mean ( No5(2:No5_span(i)+1,i) );
No6_mean(i)= mean ( No6(2:No6_span(i)+1,i) );
No7_mean(i)= mean ( No7(2:No7_span(i)+1,i) );
No8_mean(i)= mean ( No8(2:No8_span(i)+1,i) );

end


for i=1:3
group_median(i)= median ([No1_mean(i) No3_mean(i) No4_mean(i) No5_mean(i) No6_mean(i) No7_mean(i) No8_mean(i)]); 
group_mean(i)= mean ([No1_mean(i) No3_mean(i) No4_mean(i) No5_mean(i) No6_mean(i) No7_mean(i) No8_mean(i)]);
end

plot(group_mean)

